package myClasses;
import java.io.*;
/**
 * Sample Room Class
 *
 * @version 1.04 04/19/2000
 * @author  John King
 *
 */
public class Room {
  	protected double length;
  	protected double width;
  	protected double footage;
  	protected String roomName;
  /** Room constructor with no parameters
   *  @return returns nothing
   */
  public Room() {
	this.width = 10.0;
	this.length = 10.0;
	this.roomName = "Generic";
	calcFootage();
	}
  /** Room constructor with parameters
  *  @param width, length, roomName
  *  @return returns nothing
  */
  public Room(double width, double length, String roomName) {
	this.width = width;
	this.length = length;
	this.roomName = roomName;
	calcFootage();
	}
  public Room(int width, int length, String roomName) {
	this.width = (double) width;
	this.length = (double) length;
	this.roomName = roomName;
	calcFootage();
	}
  public Room(float width, float length, String roomName) {
	this.width = width;
	this.length = length;
	this.roomName = roomName;
	calcFootage();
	}
  public double getWidth() {
	return this.width;
	}
  public double getLength() {
	return this.length;
	}
  public double getFootage() {
	return this.footage;
	}
  public void calcFootage() {
	this.footage = this.width * this.length;
	}
  public void displayRoom() {
    System.out.println("Room width  = " + this.width);
    System.out.println("Room length = " + this.length);
    System.out.println("Room name   = " + this.roomName);
    calcFootage();
    System.out.println("Square footage   = " + this.footage);
	}
  public void setWidth(double width) {
    this.width = width;
	}
  public void setLength(double length) {
    this.length = length;
	}
  public void setWidth(int width) {
    this.width = (double) width;
	}
  public void setLength(int length) {
    this.length = (double) length;
	}
  public void setWidth(float width) {
    this.width = (double) width;
	}
  public void setFootage(double footage) {
	  this.footage = footage;
	  }
  public void setLength(float length) {
    this.length = (double) length;
	}
  public void setRoomName(String roomName) {
	this.roomName = roomName;
	}
  public void setRoomName() {
    try {
		System.out.print("Enter room name: ");
		InputStreamReader inStream = new InputStreamReader(System.in);
		BufferedReader inBuf = new BufferedReader(inStream);
		this.roomName = inBuf.readLine();
		}
	catch(IOException e) {
		System.out.println("I/O error");
		}
	}
public String getRoomName() {
	return roomName;
}
 
}