package samples;

import java.util.*;
import java.io.*;
/**
 * Java application demonstrating ArrayList serialization for I/O
 *
 * @version 1.01 02/13/2005
 * @author  John Jay King
 *
 */
public class SerializedIODemo {

	public static void main(String[] args) {
		ArrayList myArrayList = new ArrayList();
		myArrayList.add(new String("Winken"));
		myArrayList.add(new String("Blinken"));
		myArrayList.add(new String("Nod"));

        try {
		    ObjectOutput myOut = new ObjectOutputStream(new FileOutputStream("arraylist.dat"));
		   try {
		       myOut.writeObject(myArrayList);
		       try {
                   myOut.close();
			   }
			   catch(IOException e) {
				   System.out.println("Problem closing output file");
				   return;
			   }
		   }
		   catch(IOException e) {
			   System.out.println("Problem writing output file");
			   return;
		   }
	   }
	   catch(IOException e) {
		   System.out.println("Problem allocating output file");
		   return;
	   }

       ArrayList newArrayList = null;
       try {
		   ObjectInput myIn = new ObjectInputStream(new FileInputStream("arraylist.dat"));
		   try {
			   newArrayList = (ArrayList) myIn.readObject();
			   try {
				   myIn.close();
			   }
			   catch(IOException e) {
				   System.out.println("Problem closing input file");
				   return;
			   }
		   }
		   catch(ClassNotFoundException e) {
			   System.out.println("Problem closing input file");
			   return;
		   }
		   catch(IOException e) {
			   System.out.println("Problem reading input file");
			   return;
		   }
	   }
	   catch(FileNotFoundException e) {
		   System.out.println("Input file not found");
		   return;
	   }
	   catch(IOException e) {
		   System.out.println("Problem allocating input file");
		   return;
	   }

		System.out.println("newArrayList has "
		           + newArrayList.size() + " members");
		Iterator myIt = newArrayList.iterator();
		while (myIt.hasNext()) {
			System.out.println((String) myIt.next());
		}
	}

} // end SerializedIODemo class

