package samples;

import java.util.Date;
import java.util.Formatter;
import java.util.Locale;

/**
 * Java application testing "Formatter (printf)"
 *
 * @version 1.01 02/02/2005
 * @author  John Jay King
 *
 * Will not compile in Java 1.4 or earlier 
 */
public class UsingFormatter {

	public static void main(String[] args) {
		double balance = 1234.56;
		System.out.format("Balance is $%,6.2f",balance);
		Date today = new Date();
		System.out.format("\nToday is %TF %TT", today,today);
		System.out.println();
		Formatter myUSformat = new Formatter();
		Formatter myFRformat = new Formatter();
		String balUS = myUSformat.format("Balance is $%,6.2f",balance).toString();
		System.out.println();
		String balFR = myFRformat.format(Locale.FRANCE,"Balance is $%,6.2f",balance).toString();
		System.out.println();
		System.out.println("US " + balUS);
		System.out.println("FRANCE " + balFR);		
	}
}
